## ros-kinetic-rosjava-messages 0.3.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rosjava_messages)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED genjava)

generate_rosjava_messages(
  PACKAGES
    std_msgs
    rosgraph_msgs            # ros/ros_comm_msgs
    std_srvs
    rosjava_test_msgs        # rosjava/rosjava_test_msgs
    actionlib_msgs           # ros/common_msgs
    common_msgs
    diagnostic_msgs
    geometry_msgs
    nav_msgs
    sensor_msgs
    shape_msgs
    stereo_msgs
    trajectory_msgs
    visualization_msgs
    tf2_msgs                 # geometry_experimental/tf2_msgs
    ar_track_alvar_msgs      # sniekum/ar_track_alvar_msgs
    uuid_msgs                # ros-geographic-info/unique_identifier
    yocs_msgs                # yujinrobot/yocs_msgs
    concert_msgs             # robotics-in-concert/rocon_msgs
    concert_service_msgs
    gateway_msgs
    rocon_app_manager_msgs
    rocon_device_msgs
    rocon_interaction_msgs
    rocon_service_pair_msgs
    rocon_std_msgs
    rocon_tutorial_msgs
    world_canvas_msgs
    scheduler_msgs
    move_base_msgs           # ros-planning/navigation
    map_store                # ros-planning/map_store

    roscpp                   # !!!!!!! REMOVE THIS ONCE https://github.com/ros-planning/navigation/pull/312 is fixed! !!!!!!!!
)

catkin_package()

##############################################################################
# Installation
##############################################################################

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/org/ros/rosjava_messages/ 
        DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/org/ros/rosjava_messages)

=== debian/changelog ===
ros-kinetic-rosjava-messages (0.3.0-0xenial) xenial; urgency=high

  * updates for Kinetic release.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 15 Dec 2016 03:00:00 -0000

ros-kinetic-rosjava-messages (0.2.2-0xenial) xenial; urgency=high

  * add world_canvas_msgs

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 22 Apr 2015 03:00:00 -0000

ros-kinetic-rosjava-messages (0.2.1-0xenial) xenial; urgency=high

  * workaround for move_base_msgs (add roscpp as a msg package).
  * dependencies for builds of rosjava/android core and android interactions added.
  * restructured as a meta-message artifact generator of core messages only for indigo.
  * Contributors: Daniel Stonier, Martin Pecka

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Feb 2015 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.52-0xenial) xenial; urgency=high

  * message generation and indexing now more intelligent, checks message_generation deps, not xxx_msgs naming.
  * scrapes for many more packages (too many to list) with the new indexing

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.40-0xenial) xenial; urgency=high

  * tf2_geometry_msgs -> 0.4.9

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 11 Nov 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.39-0xenial) xenial; urgency=high

  * velodyne_msgs -> 1.1.2
  * yocs_msgs -> 0.5.2

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 11 Nov 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.38-0xenial) xenial; urgency=high

  * constrain open ranged dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 01 Nov 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.37-0xenial) xenial; urgency=high

  * concert_msgs -> 0.6.4
  * gateway_msgs -> 0.6.4
  * rocon_app_manager_msgs -> 0.6.4
  * rocon_msgs -> 0.6.4

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 01 Nov 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.36-0xenial) xenial; urgency=high

  * remove unintended rocon_std_msgs

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.35-0xenial) xenial; urgency=high

  * use ROS_MAVEN_REPOSITORY
  * concert_msgs -> 0.6.3
  * gateway_msgs -> 0.6.3
  * rocon_app_manager_msgs -> 0.6.3
  * rocon_msgs -> 0.6.3
  * 
    
      * humanoid_msgs -> 0.2.0
    
  * 
    
      * humanoid_nav_msgs -> 0.2.0
    
  * 
    
      * nao_msgs -> 0.2.2
    

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.32-0xenial) xenial; urgency=high

  * use maven style open range dependencies

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 25 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.31-0xenial) xenial; urgency=high

  * rosserial_msgs -> 0.5.4
  * 
    
      * wireless_msgs -> 0.0.1
    
  * multimaster_fkie_msgs -> 0.3.7
  * kingfisher_msgs -> 0.0.2
  * yocs_msgs -> 0.5.1
  * controller_manager_msgs -> 0.5.8
  * gazebo_msgs -> 2.3.2
  * hector_nav_msgs -> 0.3.1

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.22-0xenial) xenial; urgency=high

  * 
    
      * yocs_msgs -> 0.4.1
    
  * 
    
      * sr_ronex_messages -> 0.9.3
    
  * rosgraph_msgs -> 1.9.50
  * std_srvs -> 1.9.50
  * geographic_msgs -> 0.3.1
  * move_base_msgs -> 1.11.4
  * moveit_msgs -> 0.5.2

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.15-0xenial) xenial; urgency=high

  * use updated ros gradle plugins with maven-publish for publishing.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Sep 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.14-0xenial) xenial; urgency=high

  * rosserial_msgs -> 0.5.3
  * rosgraph_msgs -> 1.9.49
  * std_srvs -> 1.9.49
  * gazebo_msgs -> 2.3.2

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Sep 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.11-0xenial) xenial; urgency=high

  * run_depends on the build tools only

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 18 Sep 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.9-0xenial) xenial; urgency=high

  * added ugly mixed msg/code map_store dependency for android_apps

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 17 Sep 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.8-0xenial) xenial; urgency=high

  * gradle wrapper -> 1.7
  * avoid crashes if the environment isn't exactly correct.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 17 Sep 2013 03:00:00 -0000

ros-kinetic-rosjava-messages (0.1.7-0xenial) xenial; urgency=high

  * first release that has done a full scrape of rosdistro for 'official messages'.
  * rosjava's test_ros messages bundled here as a sub-packages (somewhat dirtily).

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 13 Sep 2013 03:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosjava-messages
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib-msgs, ros-kinetic-ar-track-alvar-msgs, ros-kinetic-catkin, ros-kinetic-concert-msgs, ros-kinetic-concert-service-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-gateway-msgs, ros-kinetic-genjava, ros-kinetic-geometry-msgs, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-rocon-app-manager-msgs, ros-kinetic-rocon-device-msgs, ros-kinetic-rocon-interaction-msgs, ros-kinetic-rocon-service-pair-msgs, ros-kinetic-rocon-std-msgs, ros-kinetic-rocon-tutorial-msgs, ros-kinetic-roscpp, ros-kinetic-rosgraph-msgs, ros-kinetic-rosjava-build-tools, ros-kinetic-rosjava-test-msgs, ros-kinetic-scheduler-msgs, ros-kinetic-sensor-msgs, ros-kinetic-shape-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-stereo-msgs, ros-kinetic-tf2-msgs, ros-kinetic-trajectory-msgs, ros-kinetic-uuid-msgs, ros-kinetic-visualization-msgs, ros-kinetic-world-canvas-msgs, ros-kinetic-yocs-msgs
Homepage: http://ros.org/wiki/rosjava_messages
Standards-Version: 3.9.2

Package: ros-kinetic-rosjava-messages
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-genjava, ros-kinetic-rosjava-build-tools
Description: Message generation for rosjava.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosjava-messages//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
